Package org.opensaml.saml.metadata.resolver.impl

# Class CompositeMetadataResolver.CompositeMetadataResolverIterable

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.CompositeMetadataResolver.CompositeMetadataResolverIterable

All Implemented Interfaces:
  `Iterable<EntityDescriptor>`

Enclosing class:
  CompositeMetadataResolver

private static class CompositeMetadataResolver.CompositeMetadataResolverIterable extends Object implements Iterable<EntityDescriptor>
`Iterable` implementation that provides an `Iterator` that lazily iterates over each composed resolver.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`private class`
`CompositeMetadataResolver.CompositeMetadataResolverIterable.CompositeMetadataResolverIterator`
`Iterator` implementation that lazily iterates over each composed resolver.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final CriteriaSet`
`criteria`
Criteria being search for.
`private final org.slf4j.Logger`
`log`
Class logger.
`private final List<MetadataResolver>`
`resolvers`
Resolvers over which to iterate.

## Constructor Summary

Constructors
Constructor
Description
`CompositeMetadataResolverIterable(List<MetadataResolver> composedResolvers, CriteriaSet metadataCritiera)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterator<EntityDescriptor>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### resolvers

@Nonnull private final List<MetadataResolver> resolvers
Resolvers over which to iterate.

### criteria

@Nullable private final CriteriaSet criteria
Criteria being search for.

## Constructor Details

### CompositeMetadataResolverIterable

public CompositeMetadataResolverIterable(@Nonnull List<MetadataResolver> composedResolvers, @Nullable CriteriaSet metadataCritiera)
Constructor.

Parameters:
  `composedResolvers` - resolvers from which results will be pulled
  `metadataCritiera` - criteria for the resolver query

## Method Details

### iterator

public Iterator<EntityDescriptor> iterator()

Specified by:
  `iterator` in interface `Iterable<EntityDescriptor>`